I'm trying to use the Oracle OCI JDBC driver,but VisualAge complains that it can't load the library ("No ociXXXjdbc in shared library path").

Eric Rizzo

The Orcale OCI drivers use the deprecated and much-maligned Java 1.0 NMI (which stands for"Native Method Interface", I think). VisualAge only supports native code through JNI, which is what Sunsays we should all be using by now.

In fact, I believe JDK 1.2 won't load native code libraries that useNMI at all. You need to switch to the Oracle Thin driver and/or nag Oracle to bring the oci driver intothis century (in Java terms, that is :)

0 Comments  (click to add your comment)
Comment and Contribute






(Maximum characters: 1200). You have 1200 characters left.



About | Sitemap | Contact